Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.iDOC_CREMAS03_4X_46A
Class IDOC_CREMAS03_4X_46AStrmMsg

    java.lang.Object
      OTDService.StreamMessage2
          com.stc.sapale.iDOC_CREMAS03_4X_46A.IDOC_CREMAS03_4X_46AStrmMsg

public class IDOC_CREMAS03_4X_46AStrmMsg
extends OTDService.StreamMessage2

IDOC_CREMAS03_4X_46AStrmMsg - a data container for the runtime handler

See Also:
  Serialized Form

Method Summary
`byte[]` | `getBytes()` Retrieve the content of the message as bytes
`java.lang.String` | `getContents()` Retrieve the content of the message as a string
`IDOC_CREMAS03_4X_46A` | `getIDOC_CREMAS03_4X_46A()` Returns the IDoc object.
`boolean` | `getInputSyncd()` Gets the IDoc mInputSyncd field.
`java.lang.String` | `getMarshalEncoding()` Retrieves the marshalling encoding character set.
`void` | `setBytes(byte[] _bytes)` Populate the OTD object with content from bytes.
`void` | `setContents(java.lang.String content)` Populate the OTD object with content from a string.
`void` | `setIDOC_CREMAS03_4X_46A(IDOC_CREMAS03_4X_46A idoc)` Sets the IDoc object.
`void` | `setInputSyncd(boolean syncd)` Sets the IDoc mInputSyncd field.
`void` | `setMarshalEncoding(java.lang.String encoding)` Sets the marshalling encoding character set.
`void` | `setUnmarshalEncoding(java.lang.String encoding)` Sets the unmarshalling encoding character set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBytes

    public byte[] getBytes()

  Retrieve the content of the message as bytes

  Returns:
    Message data.

### getContents

    public java.lang.String getContents()

  Retrieve the content of the message as a string

  Returns:
    Message data.

### getIDOC_CREMAS03_4X_46A

    public IDOC_CREMAS03_4X_46A getIDOC_CREMAS03_4X_46A()

  Returns the IDoc object.

  Returns:
    IDoc object.

### getInputSyncd

    public boolean getInputSyncd()

  Gets the IDoc mInputSyncd field.

  Returns:
    syncd - True if input text message byte cache is synchronized with the IDoc.

### getMarshalEncoding

    public java.lang.String getMarshalEncoding()

  Retrieves the marshalling encoding character set.

  Returns:
    Java encoding value.

### setBytes

    public void setBytes(byte[] _bytes)

  Populate the OTD object with content from bytes.

### setContents

    public void setContents(java.lang.String content)

  Populate the OTD object with content from a string.

  Parameters:
    `content` - Data for message object.

### setIDOC_CREMAS03_4X_46A

    public void setIDOC_CREMAS03_4X_46A(IDOC_CREMAS03_4X_46A idoc)

  Sets the IDoc object.

  Parameters:
    `idoc` - - IDoc object.

### setInputSyncd

    public void setInputSyncd(boolean syncd)

  Sets the IDoc mInputSyncd field.

  Parameters:
    `syncd` - - True if input text message byte cache is synchronized with the IDoc.

### setMarshalEncoding

    public void setMarshalEncoding(java.lang.String encoding)

  Sets the marshalling encoding character set.

  Parameters:
    `encoding` - Valid Java encoding value.

### setUnmarshalEncoding

    public void setUnmarshalEncoding(java.lang.String encoding)

  Sets the unmarshalling encoding character set.

  Parameters:
    `encoding` - Valid Java encoding value.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.